> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# オブジェクトの作成



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json post /obj/create
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /obj/create:
    post:
      tags:
        - Objects
      summary: オブジェクトの作成
      operationId: obj_create_obj_create_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ObjCreateReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObjCreateRes'
          description: 成功レスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    ObjCreateReq:
      additionalProperties: false
      properties:
        obj:
          $ref: '#/components/schemas/ObjSchemaForInsert'
      required:
        - obj
      title: ObjCreateReq
      type: object
    ObjCreateRes:
      properties:
        digest:
          title: Digest
          type: string
        object_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Object Id
      required:
        - digest
      title: ObjCreateRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ObjSchemaForInsert:
      properties:
        builtin_object_class:
          anyOf:
            - type: string
            - type: 'null'
          title: Builtin Object Class
        expected_digest:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            サーバー側の検証用にクライアントで計算されたダイジェストです。指定した場合、サーバーはそれがサーバーで計算されたダイジェストと一致することをVerifyします。
          title: Expected Digest
        object_id:
          title: Object Id
          type: string
        project_id:
          title: Project Id
          type: string
        set_base_object_class:
          anyOf:
            - type: string
            - type: 'null'
          deprecated: true
          title: Set Base Object Class
        val:
          title: Val
        wb_user_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 直接設定しないでください。サーバーがこのフィールドを自動的に設定します。
          title: Wb User Id
      required:
        - project_id
        - object_id
        - val
      title: ObjSchemaForInsert
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````